DT-GETHOST(1)

NAME
dt-gethost - command-line test program for the val_gethostbyname() (and related) functions

SYNOPSIS
   dt-gethost [options] name

DESCRIPTION
This utility is a command-line wrapper around the val_gethostbyname() (and related) functions. It invokes the val_gethostbyname(), val_gethostbyname_r() and val_gethostbyname2() functions for the given command-line arguments and displays the returned hostent, the validation status value, and the value of the h_errno variable.

The exit status for this program is 1 if the answer received is trusted, 2 if the answer received is validated, and -1 for an error. The program returns 0 if no validation was performed or if the result was neither trusted nor validated. The trusted and validated status values are obtained using the val_istrusted() and val_isvalidated() functions from libval(3).

OPTIONS

-r, --reentrant
    Use the re-entrant query interface.

-f, --family=[AF_INET|AF_INET6]
    Use the specified address family for the query.

-o, --output=<debug-level>:<dest-type>[:<dest-options>]
    <debug-level> is 1-7, corresponding to syslog levels ALERT-DEBUG <dest-type> is one of file, net, syslog, stderr, stdout <dest-options> depends on <dest-type>
        file:<file-name> (opened in append mode)
        net[:<host-name>:<host-port>] (127.0.0.1:1053
        syslog[:facility] (0-23 (default 1 USER))

-h, --help
    Display the help and exit.

PRE-REQUISITES
libval

COPYRIGHT
Copyright 2005-2013 SPARTA, Inc. All rights reserved. See the COPYING file included with the DNSSEC-Tools package for details.

AUTHORS
Abhijit Hayatnagarkar, Suresh Krishnaswamy, Robert Story

SEE ALSO
val_getaddrinfo(3)

libval(3)

http://www.dnssec-tools.org